import {TextFormatter} from "@webbpm/base-package";

export class DateTextFormatter implements TextFormatter {

  public prefix: string;

  format(value: string): string {
    return value
           ? (this.prefix ? this.prefix + ' ' : '') + new Date(value).toLocaleDateString()
           : value;
  }
}
